- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions

# QSplashScreen Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qsplashscreen.h.

`#include <qsplashscreen.h>`

Inheritance diagram for QSplashScreen:
[legend]

List of all members.

## Public Slots
void | showMessage (const QString &message, int alignment=Qt::AlignLeft, const QColor &color=Qt::black)
void | clearMessage ()
## Signals
void | messageChanged (const QString &message)
## Public Member Functions
| QSplashScreen (const QPixmap &pixmap=QPixmap(), Qt::WindowFlags f=0)
| QSplashScreen (QWidget *parent, const QPixmap &pixmap=QPixmap(), Qt::WindowFlags f=0)
virtual | ~QSplashScreen ()
void | setPixmap (const QPixmap &pixmap)
const QPixmap | pixmap () const
void | finish (QWidget *w)
void | repaint ()
## Protected Member Functions
bool | event (QEvent *e)
virtual void | drawContents (QPainter *painter)
void | mousePressEvent (QMouseEvent *)

## Constructor & Destructor Documentation

QSplashScreen | ( | const QPixmap & | pixmap = `QPixmap()`,
|  | Qt::WindowFlags | f = `0`
| ) |  | `[explicit]`

QSplashScreen | ( | QWidget * | parent,
|  | const QPixmap & | pixmap = `QPixmap()`,
|  | Qt::WindowFlags | f = `0`
| ) |  |

virtual ~QSplashScreen | ( |  | ) | `[virtual]`

## Member Function Documentation

void setPixmap | ( | const QPixmap & | pixmap | ) |

Search for all occurrences

const QPixmap pixmap | ( |  | ) | const

Search for all occurrences

void finish | ( | QWidget * | w | ) |

Search for all occurrences

void repaint | ( |  | ) |

Search for all occurrences

Reimplemented from QWidget.

void showMessage | ( | const QString & | message,
|  | int | alignment = `Qt::AlignLeft`,
|  | const QColor & | color = `Qt::black`
| ) |  | `[slot]`

Search for all occurrences

void clearMessage | ( |  | ) | `[slot]`

Search for all occurrences

void messageChanged | ( | const QString & | message | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void drawContents | ( | QPainter * | painter | ) | `[protected, virtual]`

Search for all occurrences

void mousePressEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

The documentation for this class was generated from the following file:

- QtGui/qsplashscreen.h

QSplashScreen QSplashScreen QSplashScreen QSplashScreen QSplashScreen QSplashScreen QSplashScreen QSplashScreen QSplashScreen QSplashScreen
QSplashScreen QSplashScreen QSplashScreen QSplashScreen QSplashScreen QSplashScreen QSplashScreen QSplashScreen QSplashScreen QSplashScreen